Package org.springframework.cache.interceptor

# Class CacheableOperation

java.lang.Object
org.springframework.cache.interceptor.CacheOperation
org.springframework.cache.interceptor.CacheableOperation

All Implemented Interfaces:
  `BasicOperation`

public class CacheableOperation extends CacheOperation
Class describing a cache 'cacheable' operation.

Since:
  3.1
Author:
  Costin Leau, Phillip Webb, Marcin Kamionowski

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CacheableOperation.Builder`
A builder that can be used to create a `CacheableOperation`.

## Constructor Summary

Constructors
Constructor
Description
`CacheableOperation(CacheableOperation.Builder b)`
Create a new `CacheableOperation` instance from the given builder.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUnless()`
`boolean`
`isSync()`

### Methods inherited from class org.springframework.cache.interceptor.CacheOperation

`equals, getCacheManager, getCacheNames, getCacheResolver, getCondition, getKey, getKeyGenerator, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CacheableOperation

public CacheableOperation(CacheableOperation.Builder b)
Create a new `CacheableOperation` instance from the given builder.

Since:
  4.3

## Method Details

### getUnless

@Nullable public String getUnless()

### isSync

public boolean isSync()